{ lib
, buildPythonPackage
, fetchFromGitHub
, pyserial
}:

buildPythonPackage rec {
  pname = "modbus-tk";
  version = "git";

  src = fetchFromGitHub {
    owner = "ljean";
    repo = pname;
    rev = "f32bb42cda8be3122fefad59a35b5c5fe6bcf567";
    hash = "sha256-wKFRi6xcStuQURJ3Lo48P0lFDfg33Zt3NLJzqvu138U=";
  };

  # Twisted asynchronous version is not supported due to a missing dependency
  propagatedBuildInputs = [
    pyserial
  ];

  pythonImportsCheck = [ "modbus_tk" ];
}